package com.storlead.wecom.service;
import com.storlead.wecom.pojo.vo.CorpWeChatDeptVO;
import com.storlead.wecom.pojo.vo.CorpWeChatUserVO;

import javax.validation.constraints.NotNull;
import java.util.List;

public interface WechatOrganizSyncService {

    List<CorpWeChatDeptVO> getDeptListFormTencent(@NotNull String url, @NotNull String accessToken, Long deptId);

    List<CorpWeChatDeptVO> getUserListUnderDeptFormTencent(@NotNull String url, @NotNull String accessToken, Long deptId);

    List<CorpWeChatDeptVO> getOrgDeptIdList(@NotNull String url, @NotNull String accessToken, Long deptId);

    List<CorpWeChatUserVO> getUserIdList(@NotNull String url, @NotNull String accessToken);

    CorpWeChatDeptVO getDeptDetail(@NotNull String url, @NotNull String accessToken, Long deptId);

    CorpWeChatUserVO getUserDetail(@NotNull String url, @NotNull String accessToken, String userid);

    CorpWeChatUserVO getLoginUserInfo(@NotNull String url, @NotNull String accessToken, String code);
}
